Subject: [alpine-devel] [PATCH] testing/libhdhomerun new aport

From: Hasse Hagen Johansen <[email-masked]>
Date: Wed, 17 Feb 2016 23:22:45 +0100

libhdhomerun package (hopefully useful for getting tvheadend compiled
with hdhomerun support)
From b78197677a71e02fdc4ccc6c5d4ba7c7ecc37973 Mon Sep 17 00:00:00 2001
From: Hasse Hagen Johansen <[email-masked]>
Date: Wed, 17 Feb 2016 22:06:12 +0000
Subject: [PATCH] testing/libhdhomerun: new aport

http://www.silicondust.com/support/downloads/linux/
Library for Silicon Dust HD HomeRun
---
 testing/libhdhomerun/APKBUILD | 46 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/libhdhomerun/APKBUILD

diff --git a/testing/libhdhomerun/APKBUILD b/testing/libhdhomerun/APKBUILD
new file mode 100644
index 0000000..c9c93bb
--- /dev/null
+++ b/testing/libhdhomerun/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: Hasse Hagen Johansen <[email-masked]>
+# Maintainer: Hasse Hagen Johansen <[email-masked]>
+pkgname=libhdhomerun
+pkgver=20150826
+pkgrel=0
+pkgdesc="Library for Silicon Dust HD HomeRun"
+url="http://www.silicondust.com/support/downloads/linux/"
+arch="all"
+license="LGPL2+"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+#subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-doc"
+source="http://download.silicondust.com/hdhomerun/${pkgname}_${pkgver}.tgz"
+
+_builddir=
+prepare() {
+        local i
+        cd "$_builddir"
+        for i in $source; do
+                case $i in
+                *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+                esac
+        done
+}
+
+build() {
+        cd "$_builddir"
+        cd libhdhomerun
+        make || return 1
+}
+
+package() {
+        cd "$_builddir"
+        cd src/libhdhomerun
+        #make DESTDIR="$pkgdir" install || return 1
+	install -Dm755 hdhomerun_config "$pkgdir"/usr/bin/hdhomerun_config
+	install -Dm444 libhdhomerun.so "$pkgdir"/usr/lib/libhdhomerun.so
+        install -Dm644 lgpl.txt "$pkgdir"/usr/share/licenses/$pkgname/lgpl.txt
+}
+
+md5sums="05f9a9e1fc8f6ec004b399034775cab0  libhdhomerun_20150826.tgz"
+sha256sums="907dfbd1eb82aebd8b09e7c00c21a02433e6baaacf4a4f99aa2511b1d5244baf  libhdhomerun_20150826.tgz"
+sha512sums="9b401c1649dc8c32ea9019b732631f9213cb66c43771aa148fa318202fc11739c005c474be6a77a6a7807818b5179f77debb5b2d2411d865cc87bb3d7ab629a6  libhdhomerun_20150826.tgz"
--
2.4.1

---

From: Hasse Hagen Johansen <[email-masked]>
Date: Sun, 21 Feb 2016 12:26:18 +0100

> libhdhomerun package (hopefully useful for getting tvheadend compiled
This should be more correct with the include files included in the -dev
package

If this gets to the testing repository. How would I get libhdhomerun-dev
in makedepends of the tvheadend package in main (I guess that it is not
possible as long as libhdhomerun-dev is in the testing repository while
tvheadend is in main?

Best Regards
Hasse
From 289c58f3dd016d4d65605ecce25fdb4759b7d9cc Mon Sep 17 00:00:00 2001
From: Hasse Hagen Johansen <[email-masked]>
Date: Sun, 21 Feb 2016 11:10:34 +0000
Subject: [PATCH] testing/libhdhomerun: new aport

index 0000000..99c596b
+subpackages="$pkgname-dev $pkgname-doc"
+	install -d "$pkgdir"/usr/include/libhdhomerun
+	install -D *.h "$pkgdir"/usr/include/libhdhomerun

---

From: Leonardo Arena <[email-masked]>
Date: Sun, 21 Feb 2016 13:00:45 +0100

> possible as long as libhdhomerun-dev is in the testing repository while

Right, it's not possible for a package in main depends from a package in
testing.

I believe that both could be moved to community though.

- leo

---

From: Carlo Landmeter <[email-masked]>
Date: Thu, 25 Feb 2016 12:00:02 +0100

> possible as long as libhdhomerun-dev is in the testing repository while
I'll move tvheadend to community.
Please use alpine-aports for sending patches, as we use
patchwork.alpinelinux.org.

-carlo

---

From: Carlo Landmeter <[email-masked]>
Date: Thu, 25 Feb 2016 13:58:43 +0100

> patchwork.alpinelinux.org.
Added to community and moved tvheadend to community.
I had to make multiple changes to your apkbuild, please check them in git.

-carlo